package macondo.mak;

import java.io.Serializable;

/**
 *	<code>Message</code> objects are exchanged between places.
 *
 *	@author		Andrea Giovannini
 *	@version	beta
 */

public class Message implements Serializable {
	private int				type;
	private Serializable 	info;
	
	public static final int		AGENT_ENTER_REQUEST		= 0;
	public static final int		AGENT_LAUNCH_REQUEST	= 1;//UNUSED
	public static final int		AGENT_GET_REQUEST		= 2;//UNUSED
	public static final int		CLASS_REQUEST			= 3;
	public static final int		END_REQUEST				= 4;//UNUSED
	public static final int		MIGRATION_OK			= 5;
	public static final int		MIGRATION_KO			= 6;
	
	
	// Constructors ------------------------------------------------------
	
	public Message() {}
	
	public Message(int type, Serializable info) {
		this.type = type;
		this.info = info;
	}
	
	// Public Methods ----------------------------------------------------
	
	/**
	 *	Returns the type of this message.
	 *
	 *	@return		the type of this request.
	 */
	public int getType() {
		return type;
	}
	
	/**
	 *	Returns the object associated to this message.
	 *
	 *	@return		the object associated to this request.
	 */
	public Serializable getInfo() {
		return info;
	}
	
}
