package macondo.mak;

/**
 * The name of a place.
 *
 * @author	Andrea Giovannini
 * @version	beta
 */
 
public class PlaceName implements java.io.Serializable {
	private String host;
	private int port;

	// Constructors	------------------------------------------------------
	
	/**
	 *	Creates a new <code>PlaceName</code> with given host and port.
	 *
	 *	@param	anHost	host where the place is running.
	 *	@param	aPort	port used by the place.
	 */
	public PlaceName(String anHost, int aPort) {
		host = anHost;
		port = aPort;
	}
	
	/**
	 *	Creates a new <code>PlaceName</code> on localhost with
	 *	a given port.
	 *
	 *	@param	aPort	port used by the place.
	 */
	public PlaceName(int aPort) {
		host = "localhost";
		port = aPort;
	}
	
	/**
	 *	Creates a new <code>PlaceName</code> from another one.
	 *
	 *	@param	pn	the <code>PlaceName</code> to copy.
	 */
	
	public PlaceName(PlaceName pn) {
		host = pn.getHost();
		port = pn.getPort();
	}
	
	// Public Methods ----------------------------------------------------
	
	/**
	 *	Gets host name.
	 *
	 *	@return		host name.
	 */
	public String getHost() {
		return host;
	}
	
	/**
	 *	Gets port number.
	 *
	 *	@return		port number.
	 */
	public int getPort() {
		return port;
	}
	
	/**
	 *	Returns a string representation of the name.
	 *
	 *	@return	a string representation of the name.
	 */
	public String toString() {
		return "host: " + host + " port: " + port;
	}
}