package macondo.mak;

import java.io.*;

/**
 *
 */

public class SmartObjectInputStream extends ObjectInputStream {

	private ClassLoader loader = null;
	
	// Constructor -------------------------------------------------------

	public SmartObjectInputStream(InputStream is)
			throws StreamCorruptedException, IOException {
		super(is);
		if (is == null) {
			throw new IllegalArgumentException("Illegal null argument to SmartObjectInputStream");
		}
	}	
	
	// Public Methods ----------------------------------------------------
	
	public void setLoader(ClassLoader loader) {
		this.loader = loader;
	}
	
	// Protected Methods -------------------------------------------------
	
	protected Class resolveClass(ObjectStreamClass v)
			throws IOException, ClassNotFoundException {
		if (loader == null) {
			return super.resolveClass(v);
		} else {
			Class result = loader.loadClass(v.getName());
			return result;
		}
	}
	
}