package macondo.mjada.collections;

/**
 *	IllegalTupleException is thrown by TupleCollection.add when
 *	an attempt is made to place in the collection a tuple
 *	with a wrong pattern.
 *
 *	@author		Andrea Giovannini
 *	@version	beta
 */

public class IllegalTupleException extends RuntimeException {

	/**
	 *	Throws a new <code>IllegalTupleException</code> with
	 *	no detail message.
	 */
	public IllegalTupleException() {
		super();
	}
	
	/**
	 *	Throws a new <code>IllegalTupleException</code> with
	 *	the specified detail message.
	 *
	 *	@param	msg		the detail message.
	 */
	public IllegalTupleException(String msg) {
		super(msg);
	}

}